<template>
  <div class="box has-background-grey-light">
    <div class="section">
      <h1 class="title">name : {{ node.name }}</h1>
    </div>
    <h2 class="subtitle">version : {{ node.version }}</h2>
    <label class="label has-text-centered"
      >find in {{ repo.split(/\//g)[1] }} repository</label
    >
    <div v-if="node.dependency != undefined">
      <h2 class="subtitle">dependency : {{ node.dependency }}</h2>
    </div>
    <div v-else>
      <div v-for="(dependency, name) in node.dependencies" v-bind:key="name">
        <h1 class="title">{{ name }}</h1>
        <div v-for="(value, key) in dependency" v-bind:key="key">
          {{ key }} : {{ value }}
        </div>
      </div>
    </div>

    <commitsGraph :data="commit" :name="test" />
  </div>
</template>

<script>
import commitsGraph from "./commitsGraph";

export default {
  name: "analyseCard",
  props: {
    node: Object,
    commit: Array,
    repo: String
  },
  data: function() {
    return {
      test: this.generateUniqid()
    };
  },
  components: {
    commitsGraph
  },
  methods: {
    generateUniqid() {
      return this.repo.replace(/\/|\.|-/g, "");
    }
  }
};
</script>
